Subject: [Gen-art] Gen-ART review for draft-ietf-grow-ix-bgp-route-server-operations

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Thu, 18 Sep 2014 10:27:05 +0000

I am the assigned Gen-ART reviewer for this draft. For background on Gen-ART, please see the FAQ at

<http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Please resolve these comments along with any other Last Call comments you may receive.

Document: http://www.ietf.org/id/draft-ietf-grow-ix-bgp-route-server-operations-03.txt

Reviewer: Dan Romascanu

Review Date: 9/18/14

IETF LC End Date: 9/22/14

IESG Telechat date: none

Summary:

A useful and very well written document, with a few minor issues that need clarification and fixes before publication

Major issues:

None

Minor issues:

1.       The reference [RS-ARCH] mentioned in 4.2.1.1 and 4.2.1.2 is not reachable (Error 404). As the understanding of the issues described in the two sections depend on this reference, a valid reference is required.

2.       Section 4.2.1.3 uses the term 'flat layer 2 network' which has at least two meanings depending on the context or layer - either one VLAN space at the link layer (as to differentiate from Customer VLAN and Provider VLAN) or a bridged network with no routers between the bridged segments. Clarification is needed.

3.       The usage of keywords is inconsistent in a few place. In 4.6.1 the 'should' in the second paragraph needs to be capitalized. In 4.6.3 we have a capitalized SHOULD, but then a non-capitalized 'may' for statements that both seem to describe requirements of the same level.

4.       I am doubt that Section 4.7 is that useful. On one hand reliability of layer 2 forwarding is not in my opinion such a big issue, and measures can be taken a the link layer to improve it (use lags or redundant paths). Second the recommended mitigation (RFC 5881 BFD) is described as non-optimal, with no other alternative. I would just drop this section completely.

Nits/editorial comments:

1.       The English syntax of the second paragraph in the Abstract is broken.

2.       In the introduction there is a mention of 'using shared Layer-2 networking media such as Ethernet'. Actually Ethernet is seldom used nowadays as a shared media, I would just recommend saying 'using data link layers protocols such as Ethernet'

3.       In section 4.2 s/optimization technique is implemented/optimization technique that is implemented/